• We had to restore from a backup today after a failed software update. Backup was from 0000 EDT and restored it at 0800 EDT so we lost about 8hrs. Today is 07/20/2024. More info here.

MESA: error: ZINK: failed to choose pdevglx: failed to create drisw screenfailed to load driver: zink

guys

New Member
Joined
Jun 20, 2024
Messages
25
Reaction score
1
Credits
156
i got this error on kali linux and ubuntu 24.4 [64 bit] in oracle vm virtualbox

the frequency can,t load even

if i changed it

dose it mean the rtl-sdr.com v4 blog can,t work

grgsm_livemon

CPU Features: SSE2+ SSE4.1+ AVX+ FMA-

Using avx for xtrxdsp_iq16_sc32

Using avx for xtrxdsp_iq8_ic16

Using avx for xtrxdsp_iq16_ic16i

Using avx for xtrxdsp_iq8_ic8i

Using avx for xtrxdsp_sc32i_iq16

Using avx for xtrxdsp_iq8_sc32

Using avx for xtrxdsp_iq8_sc32i

Using avx for xtrxdsp_iq16_sc32i

Using avx for xtrxdsp_sc32_iq16

Using avx for xtrxdsp_ic16i_iq16

gr-osmosdr 0.2.0.0 (0.2.0) gnuradio 3.10.10.0

built-in source types: file fcd rtl rtl_tcp uhd miri hackrf bladerf rfspace airspy airspyhf soapy redpitaya freesrp xtrx

[INFO] [UHD] linux; GNU C++ version 13.2.0; Boost_108300; UHD_4.6.0.0+ds1-6

[ERROR] avahi_service_browser_new() failed: Bad state

Detached kernel driver

Found Rafael Micro R828D tuner

RTL-SDR Blog V4 Detected

Reattached kernel driver

libusb: warning [libusb_exit] device 1.4 still referenced

libusb: warning [libusb_exit] device 1.1 still referenced

libusb: warning [libusb_exit] device 2.2 still referenced

libusb: warning [libusb_exit] device 2.1 still referenced

Using device #0 RTLSDRBlog Blog V4 SN: 00000001

Detached kernel driver

Found Rafael Micro R828D tuner

RTL-SDR Blog V4 Detected

Exact sample rate is: 2000000.052982 Hz

Allocating 15 zero-copy buffers

MESA: error: ZINK: failed to choose pdev

glx: failed to create drisw screen

failed to load driver: zink



please how i fix this admin
 

Attachments

  • 111111.PNG
    111111.PNG
    251.5 KB · Views: 102


If you put the following text from your output into google, there are a number of resolutions proposed which are probably worth trying to see how they go:
Code:
[ERROR] avahi_service_browser_new() failed: Bad state
 
but that is not problem
the problem is
MESA: error: ZINK: failed to choose pdev

glx: failed to create drisw screen

failed to load driver: zink
 
If you use the same technique as proposed in post #2, that is, run the error message verbatim in google's search engine, there are some interesting comments, one that it's a bug in ubuntu, and another that found a solution here: https://www.linuxquestions.org/ques...eon-7800-xt-mesa-and-vulkan-issue-4175737178/

I can't say if that solution applies to your situation, but it's probably worth a read on the issue.
 
@guys
When searching this forum for mesa and zink, there was nothing useful that came up which is why I made the suggestions in the above posts. Nevertheless, there may be a response that appears here since this forum is open and public online and someone on Earth may respond. So, welcome to the forum and hopefully you'll get somewhere with the issue.
 
ok cool thanks
i think the is from firmware-amd-graphics
 
i think the problem is from firmware-amd-graphics
it use an old version
 
You mentioned ubuntu and kali, so I'm unsure which distro you are running. In any case the following observations may help.

In ubuntu there is no separate firmware-amd-graphics package. Check here for firmware:

In ubuntu, the amd graphics firmware is included in the package: linux-firmware. So you could install the latest version of that package if running ubuntu.

In kali, the package exists. It could be installed using the package manager apt:
Code:
apt upgrade firmware-amd-graphics
Or, the package could be downloaded from here:
and installed with the command
Code:
dpkg -i firmware-amd-graphics_20230625-2_all.deb
You can install with the command from the directory in which it is located, possibly the Downloads directory.

If you need the most recent firmware-amd-graphics files, you can visit:
and replace the files in the current /lib/firmware/amdgpu directory on the computer with the new files.
 
From your Kali photo it show as @osprey has pointed out
2.png

which in turn has caused Detached kernel driver - I would try reinstalling the Avahi Daemon which you can do through the Synaptic Package Manager in the search block type in avahi-daemon and mark it for re-installation

Also did you install gr-gsm? It looks like you have - "grgsm_livemon" from your first post or whatever you installed needs it to run

To suppress this error run the grgsm_scanner with --args=rtl parameter as you are using an RTL-SDR device.
"Using device #0 RTLSDRBlog Blog V4 SN: 00000001" also from your first post - Is it a Radio Scanner?
grgsm_scanner --args=rtl -d
NOTE: gr-gsm supports only 2G GSM and does not support CDMA, 3G or 4G LTE so if you are running other then 2G this will not work

Also have a look here - https://www.rtl-sdr.com/V4/
You have to manually build support for the RTL-SDR V4
 
Last edited:
You mentioned ubuntu and kali, so I'm unsure which distro you are running. In any case the following observations may help.

In ubuntu there is no separate firmware-amd-graphics package. Check here for firmware:

In ubuntu, the amd graphics firmware is included in the package: linux-firmware. So you could install the latest version of that package if running ubuntu.

In kali, the package exists. It could be installed using the package manager apt:
Code:
apt upgrade firmware-amd-graphics
Or, the package could be downloaded from here:
and installed with the command
Code:
dpkg -i firmware-amd-graphics_20230625-2_all.deb
You can install with the command from the directory in which it is located, possibly the Downloads directory.

If you need the most recent firmware-amd-graphics files, you can visit:
and replace the files in the current /lib/firmware/amdgpu directory on the computer with the new files.
i have install the
apt upgrade firmware-amd-graphics
dpkg -i firmware-amd-graphics_20230625-2_all.deb
but don't understand this
and replace the files in the current /lib/firmware/amdgpu directory on the computer with the new files

how i am going to do that
 

Attachments

  • eee.PNG
    eee.PNG
    462.4 KB · Views: 41
i run this grgsm_scanner --args=rtl -d
i got this
and when i run grgsm_livemon i got the same error
 

Attachments

  • ddddd.PNG
    ddddd.PNG
    408.7 KB · Views: 47
i have install the
apt upgrade firmware-amd-graphics
dpkg -i firmware-amd-graphics_20230625-2_all.deb
but don't understand this
and replace the files in the current /lib/firmware/amdgpu directory on the computer with the new files

how i am going to do that
One way retrieve and install the latest firmware is to go the website here:

Download the latest linux firmware package, which at the time of writing is:
linux-firmware-20240610.tar.gz

Decompress the tarball:
Code:
tar xvf linux-firmware-20240610.tar.gz

Then navigate to the directory: linux-firmware--20240610
In that directory is the directory: amdgpu, which contains all the latest firmware files for amdgpu graphics.

The linux firmware on one's computer is located at: /lib/firmware
The current amdgpu firmware on that computer is at: /lib/firmware/amdgpu
To install the latest firmware one needs to remove the current firmware files in the amdgpu directory and replace them with all the files in the similarly named directory from the decompressed tarball. It's a task for the root user to remove and copy with the commands: rm and cp, and update the initramfs.

You may notice that in the amdgpu directory of the decompressed tarball there are quite a few more files than exist on the computer. Those may help, if the problem is in fact related to this issue.
 
Last edited:
Last edited:
Now we know what type of Radio Device it is from your second photo
found Rafael Micro R828D Tuner

what software are you using to access this? is it Linrad, or SDR++ or GQRX
i use gqrx
To find out what amdgpu you are missing run

If you are missing any this will tell you which ones it should come up as a warning possible missing firmware

Also I see you have posted here as well - https://www.linuxquestions.org/ques...137d766a29e07b90612877e&p=6509595#post6509595
yes i am the one
i run the
1719087256177.png
 
So you are not missing any amdgpu firmware

GQRX - do you use the AppImage or did you make it from source code or did you install it from the Kali Repos?

for this error - MESA: error: ZINK: failed to choose pdev
try installing libqt5quickcontrols2-5 and qtquickcontrols2-5-dev then Reboot - this should be available through the Synaptic Package Manager

I think your problem does not have anything to do with amdgpu graphics but missing qt5 dependencies, which is causing the errors
 
Last edited:
So you are not missing any amdgpu firmware

GQRX - do you use the AppImage or did you make it from source code or did you install it from the Kali Repos?

for this error - MESA: error: ZINK: failed to choose pdev
try installing libqt5quickcontrols2-5 and qtquickcontrols2-5-dev then Reboot - this should be available through the Synaptic Package Manager

I think your problem does not have anything to do with amdgpu graphics but missing qt5 dependencies, which is causing the errors
i install it with sudo apt install gqrx-sdr
 

Members online


Top